# SourcePath: glib/20240709dev
Summary: A library of handy utility functions.
Name: sony-target-dev-glib
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib
#Complete version - 2.64.6-1~ubuntu20.04.7
Version: 2.64.6
Release: 14000102
URL: https://packages.ubuntu.com/source/focal/glib2.0
Source: glib-%{version}.tar.xz
Source1: cross_file.txt
Patch1: glib-2.64.6-skip_warnings-1.patch
License: LGPL-2.1
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_relocation}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-gettext
Requires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-gettext


%description
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%package -n %{pkgname}
Summary: A library of handy utility functions.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%prep
%setup -q -n glib-%{version}
%patch1 -p1

%build
%sony_target_dev_setup
export PKG_CONFIG=/usr/bin/pkg-config
meson setup builddir --cross-file ../../SOURCES/cross_file.txt \
       --prefix=%{sony_target_dir} -Dxattr=false  \
      -Dman=false     -Db_lundef=false  \
    -Ddefault_library=both --wrap-mode=nofallback \
      -Dselinux=disabled 

%install
rm -rf %{buildroot}
%sony_target_dev_install_setup
sed -i 's|\$\$(prefix)/include|/usr/include|g' builddir/build.ninja
DESTDIR=%{buildroot} ninja -C builddir install
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gtk-doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/glib-2.0
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/locale

%demangle_libtool

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
mv %{buildroot}%{sony_target_dir}/bin/* %{buildroot}%{sony_target_dir}/usr/bin/
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
mv %{buildroot}%{sony_target_dir}/lib/* %{buildroot}%{sony_target_dir}/usr/lib/

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}

%demangle_libtool

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

sed -i 's:prefix=.*:prefix=/usr:g' %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*.pc

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

cp -rp %{buildroot}%{sony_target_dir}/include %{buildroot}%{sony_target_dir}%{sony_target_devtool_prefix}/
rm -rf %{buildroot}%{sony_target_dir}/share/locale
rm -rf %{buildroot}%{sony_target_dir}/share/man
rm -rf %{buildroot}%{sony_target_dir}/include
rm -rf %{buildroot}%{sony_target_dir}/usr/include
mv %{buildroot}%{sony_target_dir}/share %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gdb/auto-load/usr
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gdb/auto-load/%{sony_target_dir}/lib %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gdb/auto-load/usr/
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gdb/auto-load/usr/local

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)

%{sony_target_dir}%{sony_target_dev_bin_dir}/gdbus
%{sony_target_dir}%{sony_target_dev_bin_dir}/gdbus-codegen
%{sony_target_dir}%{sony_target_dev_bin_dir}/gio
%{sony_target_dir}%{sony_target_dev_bin_dir}/gio-querymodules
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-compile-resources
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-compile-schemas
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-genmarshal
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-gettextize
%{sony_target_dir}%{sony_target_dev_bin_dir}/glib-mkenums
%{sony_target_dir}%{sony_target_dev_bin_dir}/gobject-query
%{sony_target_dir}%{sony_target_dev_bin_dir}/gresource
%{sony_target_dir}%{sony_target_dev_bin_dir}/gsettings
%{sony_target_dir}%{sony_target_dev_bin_dir}/gtester
%{sony_target_dir}%{sony_target_dev_bin_dir}/gtester-report
%{sony_target_dir}%{sony_target_dev_bin_dir}/gapplication

%{sony_target_dir}%{sony_target_devtool_include_dir}/gio-unix-2.0
%{sony_target_dir}%{sony_target_devtool_include_dir}/glib-2.0

%{sony_target_dir}%{sony_target_dev_lib_dir}/glib-2.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libgio-2.0.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgio-2.0.so.0.6400.6
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libglib-2.0.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libglib-2.0.so.0.6400.6
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libgmodule-2.0.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgmodule-2.0.so.0.6400.6
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libgobject-2.0.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgobject-2.0.so.0.6400.6
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libgthread-2.0.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgthread-2.0.so.0.6400.6
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gio-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gio-unix-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/glib-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-export-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gmodule-no-export-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gobject-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gthread-2.0.pc

#%{sony_target_dir}%{sony_target_dev_prefix}/etc/bash_completion.d/*
%{sony_target_dir}%{sony_target_dev_data_dir}/gdb/auto-load/*
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/*
%{sony_target_dir}%{sony_target_dev_data_dir}/gettext/*
%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal/*
%{sony_target_dir}%{sony_target_dev_data_dir}/glib-2.0/*
%{sony_target_dir}%{sony_target_dev_data_dir}/gdb/*
#%{sony_target_dir}%{sony_target_dev_lib_dir}/gdbus-2.0/codegen/*

%changelog
* Tue Oct 29 2024 Sony Group Corporation
- Fix path in .pc file

* Tue Jul 09 2024 Sony Group Corporation
- Version update 2.50.3 -> 2.64.6 & rebuilded due to python version update to 3.8.10

* Fri May 21 2021 Sony Group Corporation
- Added CVE-Fix for CVE-2021-27218, CVE-2021-27219
  and CVE-2021-28153.

* Mon Oct 12 2020 Sony Corporation
- Initial build for CE Linux 14.0.1.X

* Wed Feb 12 2020 Sony Corporation
- Added fix for CVE-2019-12450, CVE-2019-13012, CVE-2018-16429 and
  CVE-2018-16428

* Fri Jan 24 2020 Sony Corporation
- Added gnulib license patch

* Wed Jan 18 2017 Sony Corporation
- updated 2.40.2 -> 2.44.1

* Mon Sep 21 2015 Sony Corporation
- Version updated to 2.40.2

* Mon Apr 08 2013 Sony Corporation
- updated to support Python 2.7.3

* Tue Apr 02 2013 Sony Corporation
- Version updated to 2.34.3

* Thu Oct 10 2010 Sony Corporation
- glib-2.24.2 version up

* Mon Apr 05 2010 Sony Corporation
- glib-2.22.5 version up

* Wed Aug 13 2008 Sony Corporation
-  Fix License 

* Tue Jun 17 2008 Sony Corporation
- Initial build
